## nss 3.15.4

=== debian/changelog ===
nss (2:3.15.4-1ubuntu7) trusty; urgency=medium

  * SECURITY UPDATE: incorrect IDNA wildcard handling
    - debian/patches/CVE-2014-1492.patch: conform to RFC 6125 in
      nss/lib/certdb/certdb.c.
    - CVE-2014-1492

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Wed, 02 Apr 2014 10:14:01 -0400

nss (2:3.15.4-1ubuntu6) trusty; urgency=medium

  * No longer ship cacert.org certificates. (LP: #1258286)
    - removed debian/patches/95_add_spi+cacert_ca_certs.patch
    - added debian/patches/95_add_spi_certs.patch

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Thu, 20 Feb 2014 07:38:51 -0500

nss (2:3.15.4-1ubuntu5) trusty; urgency=medium

  * debian/rules: Switch from DEB_BUILD_ARCH to DEB_HOST_ARCH to fix cross.

 -- Adam Conrad <adconrad@ubuntu.com>  Sat, 25 Jan 2014 21:08:34 -0700

nss (2:3.15.4-1ubuntu4) trusty; urgency=medium

  * control: Mark libnss3-nssdb as M-A: foreign. (LP: #1272292)

 -- Timo Aaltonen <tjaalton@ubuntu.com>  Fri, 24 Jan 2014 14:13:10 +0200

nss (2:3.15.4-1ubuntu3) trusty; urgency=medium

  * debian/rules: create directory before creating cert database to fix
    ftbfs

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Thu, 23 Jan 2014 13:22:01 -0500

nss (2:3.15.4-1ubuntu2) trusty; urgency=medium

  * debian/rules: switch back to DEB_BUILD_ARCH to fix ftbfs

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Thu, 23 Jan 2014 12:39:23 -0500

nss (2:3.15.4-1ubuntu1) trusty; urgency=medium

  * Merge with Debian, remaining changes:
    - Add x32 support.

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Thu, 23 Jan 2014 11:32:47 -0500

nss (2:3.15.4-1) unstable; urgency=low

  * New upstream release.
  * Acknowledge NMU.
  * debian/rules: Avoid long one-liner with semi-colons.
  * debian/patches/*:  Refresh patches.
  * debian/copyright: Update. Closes: #730428.
  * debian/control, debian/libnss3-nssdb.*, debian/pkcs11.txt, debian/rules:
    Add shared cert and key databases. Thanks Timo Aaltonen. Closes: #537866.
  * debian/rules: Use DEB_HOST_ARCH instead of DEB_BUILD_ARCH.
  * debian/control: Mark libnss3-dev as Multi-Arch: same. Thanks Shawn
    Landden. Closes: #682925.
  * debian/libnss3.symbols: Add NSS_3.15.4 symbol versions.

 -- Mike Hommey <glandium@debian.org>  Mon, 13 Jan 2014 10:46:04 +0900

nss (2:3.15.3.1-1.1ubuntu1) trusty; urgency=medium

  * Add x32 support. Closes: #699217.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 06 Jan 2014 21:27:26 +0100

nss (2:3.15.3.1-1.1) unstable; urgency=low

  * Non-Maintainer Upload
   - ship extra NSS utilities (Closes: #701141)

 -- Daniel Kahn Gillmor <dkg@fifthhorseman.net>  Sat, 04 Jan 2014 11:34:41 -0500

nss (2:3.15.3.1-1) unstable; urgency=high

  * New upstream release.
    - Distrusts AC DG Tresor SSL CA.

 -- Mike Hommey <glandium@debian.org>  Sun, 15 Dec 2013 10:09:48 +0900

nss (2:3.15.3-1) unstable; urgency=high

  * New upstream release.
    - Fixes CVE-2013-1741, CVE-2013-5605, CVE-2013-5606.

 -- Mike Hommey <glandium@debian.org>  Sat, 16 Nov 2013 08:50:45 +0900

nss (2:3.15.2-1) unstable; urgency=low

  * New upstream release.
    - Fixes CVE-2013-1739. Closes: #726473.

 -- Mike Hommey <glandium@debian.org>  Mon, 21 Oct 2013 08:05:24 +0900
