## nss 3.17.2

=== debian/changelog ===
nss (2:3.17.2-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Fix CVE-2014-1569. Closes: #773625.

 -- Matt Kraai <kraai@debian.org>  Sun, 21 Dec 2014 19:46:52 -0800

nss (2:3.17.2-1) unstable; urgency=medium

  * New upstream release.

 -- Mike Hommey <glandium@debian.org>  Sat, 18 Oct 2014 13:22:04 +0900

nss (2:3.17.1-1) unstable; urgency=high

  * New upstream release.
    - Fixes CVE-2014-1568.
    - Add support for ppc64el, with a non-broken patch. Closes: #745757.
  * debian/libnss3.symbols: Add NSSUTIL_3.17.1 symbol versions.

 -- Mike Hommey <glandium@debian.org>  Wed, 24 Sep 2014 22:16:32 +0900

nss (2:3.17-1) unstable; urgency=medium

  * New upstream release.
  * nss/coreconf/Linux.mk: Actually add support for ppc64el. Closes: #745757.

 -- Mike Hommey <glandium@debian.org>  Sun, 24 Aug 2014 08:41:37 +0900

nss (2:3.16.3-1.1) unstable; urgency=low

  * Non-maintainer upload to delayed.
  * Add support for ppc64el. Closes: #745757

 -- Andreas Barth <aba@ayous.org>  Mon, 18 Aug 2014 20:01:00 +0000

nss (2:3.16.3-1) unstable; urgency=medium

  * New upstream release.
  * debian/libnss3.symbols: Add NSS_3.16.2 symbol versions.

 -- Mike Hommey <glandium@debian.org>  Sun, 13 Jul 2014 09:24:12 +0900

nss (2:3.16.1-1) unstable; urgency=medium

  * New upstream release.
  * debian/libnss3.symbols: Add NSS_3.16.1 symbol versions.

 -- Mike Hommey <glandium@debian.org>  Sat, 07 Jun 2014 17:24:57 +0900

nss (2:3.16-1) unstable; urgency=medium

  * New upstream release.
  * debian/libnss3.symbols: Add NSS_3.16 symbol versions.
  * nss/lib/ckfw/builtins/certdata.txt: Remove CACert root certificates.

 -- Mike Hommey <glandium@debian.org>  Fri, 21 Mar 2014 08:10:24 +0900

nss (2:3.15.4-2) unstable; urgency=high

  * Upstream release 3.15.4 fixed MFSA-2014-12, also known as CVE-2014-1490
    and CVE-2014-1491. Bumping urgency as such.
  * debian/control, debian/libnss3-nssdb.*, debian/pkcs11.txt, debian/rules:
    Revert changes from 2:3.15.4-1. Reopens: #537866, Closes: #735329, #736061.

 -- Mike Hommey <glandium@debian.org>  Wed, 05 Feb 2014 16:26:06 +0900
