=== debian/rules ===
--- 
+++ 
@@ -22,8 +22,6 @@
 
 ifneq (,$(filter 64 alpha amd64 ia64 s390x,$(shell dpkg-architecture -qDEB_HOST_ARCH_BITS 2> /dev/null || dpkg-architecture -qDEB_HOST_ARCH)))
 USE_64 := USE_64=1
-else ifeq ($(shell dpkg-architecture -qDEB_HOST_ARCH),x32)
-USE_64 := USE_x32=1
 else
 USE_64 :=
 endif
@@ -45,6 +43,7 @@
 override_dh_auto_build:
 	$(MAKE) -C nss \
 		all \
+		MOZILLA_CLIENT=1 \
 		NSPR_INCLUDE_DIR=/usr/include/nspr \
 		NSPR_LIB_DIR=/usr/lib \
 		SOURCE_PREFIX=$(DISTDIR) \
@@ -82,7 +81,6 @@
 		$(DISTDIR)/lib/libfreebl3.so \
 		$(DISTDIR)/lib/libsoftokn3.so \
 		$(DISTDIR)/lib/libnssdbm3.so \
-		$(DISTDIR)/lib/libnsssysinit.so \
 		$(DISTDIR)/lib/libnssckbi.so
 
 	install -m 644 -t debian/libnss3-dev/usr/include/nss \
@@ -128,26 +126,13 @@
 		pp \
 		, $(call cmd,install -m 755 -T $(DISTDIR)/bin/$(bin) debian/libnss3-tools/usr/bin/nss-$(bin)))
 
-	# Create the empty certificate databases, with empty passphrase
-	mkdir -p debian/tmp
-	echo "\n" > debian/tmp/password
-	mkdir -p debian/libnss3-nssdb/var/lib/nssdb
-	LD_LIBRARY_PATH=$(DISTDIR)/lib $(DISTDIR)/bin/certutil -N -d debian/libnss3-nssdb/var/lib/nssdb \
-		-f debian/tmp/password
-	LD_LIBRARY_PATH=$(DISTDIR)/lib $(DISTDIR)/bin/certutil -N -d sql:debian/libnss3-nssdb/var/lib/nssdb \
-		-f debian/tmp/password -@ debian/tmp/password
-	# Remove DBM certificate and key databases.
-	rm debian/libnss3-nssdb/var/lib/nssdb/cert8.db debian/libnss3-nssdb/var/lib/nssdb/key3.db
-	chmod 644 debian/libnss3-nssdb/var/lib/nssdb/*
-	install -m 644 -t debian/libnss3-nssdb/var/lib/nssdb debian/pkcs11.txt
-
 override_dh_strip:
 	dh_strip -a --dbg-package=libnss3-dbg
 	$(foreach lib,libsoftokn3.so libfreebl3.so libnssdbm3.so, \
 		LD_LIBRARY_PATH=debian/libnss3/usr/lib/$(DEB_HOST_MULTIARCH):debian/libnss3/usr/lib/$(DEB_HOST_MULTIARCH)/nss \
 		debian/libnss3-tools/usr/bin/shlibsign -v -i debian/libnss3/usr/lib/$(DEB_HOST_MULTIARCH)/nss/$(lib);)
 	# Check FIPS mode correctly works
-	mkdir -p debian/tmp
+	mkdir debian/tmp
 	LD_LIBRARY_PATH=debian/libnss3/usr/lib/$(DEB_HOST_MULTIARCH):debian/libnss3/usr/lib/$(DEB_HOST_MULTIARCH)/nss debian/libnss3-tools/usr/bin/modutil -create -dbdir debian/tmp < /dev/null
 	LD_LIBRARY_PATH=debian/libnss3/usr/lib/$(DEB_HOST_MULTIARCH):debian/libnss3/usr/lib/$(DEB_HOST_MULTIARCH)/nss debian/libnss3-tools/usr/bin/modutil -fips true -dbdir debian/tmp < /dev/null
