## nss 3.19.2

=== debian/changelog ===
nss (2:3.19.2-0ubuntu0.14.10.1) utopic-security; urgency=medium

  * SECURITY UPDATE: update to upstream 3.19.2 to fix multiple security
    issues and get a new CA certificate bundle.
    - CVE-2015-2721
    - CVE-2015-2730
  * debian/libnss3.symbols: updated for new version.
  * debian/patches/relax_dh_size.patch: relax minimum DH size to 768 bits
    for compatibility reasons. This patch will get reverted in the future
    once servers have upgraded to longer DH sizes.

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Wed, 08 Jul 2015 12:10:02 -0400

nss (2:3.17.4-0ubuntu0.14.10.1) utopic-security; urgency=medium

  * SECURITY UPDATE: update to upstream 3.17.4 to get new CA certificate
    bundle, and to fix incorrect SHA-1 behaviour. (LP: #1423031)
  * Removed unneeded patches:
    - debian/patches/CVE-2014-1569.patch: included upstream.

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Thu, 19 Feb 2015 07:41:50 -0500

nss (2:3.17.1-0ubuntu1.1) utopic-security; urgency=medium

  * SECURITY UPDATE: arbitrary data smuggling via incorrect ASN.1 DER
    length decoding
    - debian/patches/CVE-2014-1569.patch: properly validate lengths in
      nss/lib/util/quickder.c.
    - CVE-2014-1569

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Tue, 06 Jan 2015 13:16:00 -0500

nss (2:3.17.1-0ubuntu1) utopic; urgency=medium

  * SECURITY UPDATE: update to 3.17.1
    - see USN-2361-1
  * debian/libnss3.symbols: updated for new version.
  * debian/patches/38_ppc64le.patch: removed, upstream.

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Wed, 24 Sep 2014 15:35:00 -0400

nss (2:3.17-1ubuntu1) utopic; urgency=medium

  * Merge with Debian; remaining changes:
    - debian/rules: Add x32 support.
    - debian/control, debian/libnss3-nssdb.*, debian/libnss3.symbols,
      debian/pkcs11.txt, debian/rules: Add back support for shared cert
      and key databases.
    - debian/rules: also ship blapi.h and alghmac.h in libnss3-dev.
  * Really add support for ppc64el.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 09 Sep 2014 16:11:12 +0200

nss (2:3.16.3-1ubuntu1) utopic; urgency=medium

  * Merge with Debian, remaining changes:
    - debian/rules: Add x32 support.
    - debian/control, debian/libnss3-nssdb.*, debian/libnss3.symbols,
      debian/pkcs11.txt, debian/rules: Add back support for shared cert
      and key databases.
  * Dropped patches:
    - debian/patches/CVE-2014-1492.patch: upstream
    - debian/patches/95_add_spi_certs.patch: now equivalent to
      95_add_spi+cacert_ca_certs.patch
    - debian/patches/38_x32.patch: equivalent included upstream (except
      USE_X32 instead of USE_x32)
  * debian/rules: also ship blapi.h and alghmac.h in libnss3-dev.

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Wed, 16 Jul 2014 13:05:53 -0400
