## nss 3.21

=== debian/changelog ===
nss (2:3.21-1ubuntu4) xenial; urgency=medium

  * SECURITY UPDATE: buffer overflow during ASN.1 decoding
    - debian/patches/CVE-2016-1950.patch: check lengths in
      nss/lib/util/secasn1d.c.
    - CVE-2016-1950

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Wed, 09 Mar 2016 07:35:32 -0500

nss (2:3.21-1ubuntu3) xenial; urgency=medium

  * debian/patches/relax_dh_size.patch: removed, now require a minimum DH
    size of 1023 bits.

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Thu, 18 Feb 2016 11:23:15 -0500

nss (2:3.21-1ubuntu2) xenial; urgency=medium

  * debian/patches/ftbfs_ppc64el.patch: don't enable -Werror on ppc64el,
    there are too many uninitialized variable false positives.

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Thu, 26 Nov 2015 14:49:56 -0500

nss (2:3.21-1ubuntu1) xenial; urgency=medium

  * Merge from Debian unstable. Remaining changes:
    - debian/rules:
      + Add x32 support.
      + Also ship blapi.h and alghmac.h in libnss3-dev.
    - debian/control, debian/libnss3-nssdb.*, debian/libnss3.symbols,
      debian/pkcs11.txt, debian/rules: 
      + Add back support for shared cert and key databases.
    - debian/patches/relax_dh_size.patch: relax minimum DH size to 768 bits
      for compatibility reasons. This patch will get reverted in the future
      once servers have upgraded to longer DH sizes.
    - debian/control: remove cross Build Profile from Build-Depends, as it
      doesn't seem to be supported by launchpad yet.

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Thu, 26 Nov 2015 08:55:09 -0500

nss (2:3.21-1) unstable; urgency=medium

  * New upstream release.
  * nss/lib/ssl/sslsock.c: Disable transitional scheme for SSL renegotiation.
    5 years after the transition started, it shouldn't be necessary anymore.
  * nss/lib/ckfw/builtins/certdata.txt: Remove the SPI CA.
  * nss/lib/util/secload.c: Fix a warning introduced by our patch to this file.
  * debian/libnss3.symbols: Add NSS_3.21 symbol versions.

 -- Mike Hommey <glandium@debian.org>  Wed, 25 Nov 2015 09:18:30 +0900

nss (2:3.20.1-1) unstable; urgency=high

  * New upstream release.
  * Fixes mfsa2015-133. also known as CVE-2015-7181 and CVE-2015-7182.

 -- Mike Hommey <glandium@debian.org>  Wed, 04 Nov 2015 09:53:32 +0900

nss (2:3.20-1) unstable; urgency=medium

  * New upstream release.
  * Removed patch for __DATE__ and __TIME__ references from 2:3.19.1-1 because
    the parts that matter were applied upstream.
  * debian/rules: Move USE_64 to common make flags, and always use
    DEB_HOST_ARCH_BITS since it's even supported by dpkg in oldstable, now.
  * debian/libnss3.symbols: Add NSS_3.20 symbol versions.

 -- Mike Hommey <glandium@debian.org>  Sat, 22 Aug 2015 09:02:11 +0900

nss (2:3.19.2.1-0ubuntu1) xenial; urgency=medium

  * Updated to upstream 3.19.2.1 to fix two security issues.
  * SECURITY UPDATE: use-after-poison in sec_asn1d_parse_leaf
    - CVE-2015-7181
  * SECURITY UPDATE: ASN.1 decoder heap overflow
    - CVE-2015-7182

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Wed, 04 Nov 2015 10:33:01 -0600

nss (2:3.19.2-1ubuntu1) wily; urgency=medium

  * Merge from Debian unstable. Remaining changes:
    - debian/rules:
      + Add x32 support.
      + Also ship blapi.h and alghmac.h in libnss3-dev.
    - debian/control, debian/libnss3-nssdb.*, debian/libnss3.symbols,
      debian/pkcs11.txt, debian/rules: 
      + Add back support for shared cert and key databases.
  * debian/patches/relax_dh_size.patch: relax minimum DH size to 768 bits
    for compatibility reasons. This patch will get reverted in the future
    once servers have upgraded to longer DH sizes.
  * debian/control: remove cross Build Profile from Build-Depends, as it
    doesn't seem to be supported by launchpad yet.

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Wed, 08 Jul 2015 09:29:03 -0400

nss (2:3.19.2-1) unstable; urgency=medium

  * New upstream release.
  * debian/rules: Force set OS_TEST to DEB_HOST_GNU_CPU to avoid it defaulting
    to `uname -m`. Thanks Helmut Grohne. Closes: #788452

 -- Mike Hommey <glandium@debian.org>  Sun, 21 Jun 2015 06:30:13 +0900

nss (2:3.19.1-2) unstable; urgency=medium

  * debian/control: Fix Vcs-Git url.
  * nss/cmd/shlibsign/manifest.mn: Fix missing LIBRARY_VERSION.
  * nss/cmd/shlibsign/shlibsign.c: Fix shlibsign on arm64.

 -- Mike Hommey <glandium@debian.org>  Mon, 01 Jun 2015 16:25:07 +0900

nss (2:3.19.1-1) unstable; urgency=medium

  * New upstream release.
  * debian/libnss3.symbols:
    - Add NSS_3.19.1 symbol versions.
    - Reorder and replace *@ with (symver).
  * debian/rules:
    - Pass multi-arch dir for NSPR_LIB_DIR. Closes: #722811.
    - Set umask when calling shlibsign, and rearrange how it's being called.
    - Build nsinstall separately and set things up for cross-compilations.
    - Use native shlibsign when cross-compiling.
    - Do not run FIPS check on cross-builds.
  * debian/control: Build depend on native libnss3-tools for cross builds.
    Closes: #682926.
  * debian/libnss3-tools.manpages, debian/rules: Install the manpages that
    are now provided upstream. Closes: #505382.
  * debian/control: Update Vcs-* urls.
  * debian/control: Bump Standards-Version to 3.9.6.0. No changes required.
  * nss/lib/ckfw/builtins/binst.c, nss/lib/ckfw/builtins/ckbiver.c,
    nss/lib/ckfw/builtins/manifest.mn, nss/lib/ckfw/capi/ckcapiver.c,
    nss/lib/ckfw/capi/manifest.mn, nss/lib/ckfw/nssmkey/ckmkver.c,
    nss/lib/ckfw/nssmkey/manifest.mn, nss/lib/freebl/freeblver.c,
    nss/lib/freebl/ldvector.c, nss/lib/freebl/manifest.mn,
    nss/lib/nss/manifest.mn, nss/lib/nss/nssinit.c, nss/lib/nss/nssver.c,
    nss/lib/smime/manifest.mn, nss/lib/smime/smimeutil.c,
    nss/lib/smime/smimever.c, nss/lib/softoken/legacydb/lginit.c,
    nss/lib/softoken/manifest.mn, nss/lib/softoken/pkcs11.c,
    nss/lib/softoken/softkver.c, nss/lib/ssl/manifest.mn,
    nss/lib/ssl/sslcon.c, nss/lib/ssl/sslver.c, nss/lib/util/secoid.c: Remove

