=== debian/control ===
--- 
+++ 
@@ -4,11 +4,11 @@
 Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
 XSBC-Original-Maintainer: Maintainers of Mozilla-related packages <pkg-mozilla-maintainers@lists.alioth.debian.org>
 Uploaders: Mike Hommey <glandium@debian.org>
-Build-Depends: debhelper (>= 9), dpkg-dev (>= 1.16.1.1~), libnspr4-dev (>= 2:4.9.4), zlib1g-dev, libsqlite3-dev (>= 3.3.9)
-Standards-Version: 3.9.3.0
+Build-Depends: debhelper (>= 9.20141010), dpkg-dev (>= 1.17.14), libnspr4-dev (>= 2:4.9.4), zlib1g-dev, libsqlite3-dev (>= 3.3.9)
+Standards-Version: 3.9.6.0
 Homepage: http://www.mozilla.org/projects/security/pki/nss/
-Vcs-Git: git://git.debian.org/git/pkg-mozilla/nss.git
-Vcs-Browser: http://git.debian.org/?p=pkg-mozilla/nss.git
+Vcs-Git: https://anonscm.debian.org/git/pkg-mozilla/nss.git
+Vcs-Browser: https://anonscm.debian.org/cgit/pkg-mozilla/nss.git
 
 Package: libnss3
 Architecture: any
